ghc-7.0.4: The GHC API

RegAlloc.Linear.PPC.FreeRegs

Description

Free regs map for PowerPC

# Documentation

data FreeRegs Source

Constructors

FreeRegs !Word32 !Word32 |

Instances

Show FreeRegs |

noFreeRegs :: FreeRegs Source

releaseReg :: RealReg -> FreeRegs -> FreeRegs Source

initFreeRegs :: FreeRegs Source

getFreeRegs :: RegClass -> FreeRegs -> [RealReg]Source

allocateReg :: RealReg -> FreeRegs -> FreeRegs Source